docusign.envelopes.put-envelope ​
This method enables you to make changes to an envelope. You can use it to: * Send a draft envelope * Void an in-process envelope * Modify a draft envelope * Purge documents and envelope metadata from the Docusign platform Although the request body for this method is a complete envelope definition, you only need to provide the properties that you're updating. ## Sending a draft envelope To send a draft envelope, include the following code in the request body: json { "status": "sent" } You can attach a workflow before sending the envelope: json { "status": "sent", "workflow": { "workflowSteps": [ { "action": "pause_before", "description": "pause_before routing order 2", "itemId": 2, "triggerOnItem": "routing_order" } ] } } ## Working with workflows To unpause a workflow, the request body should include this: json { "workflow": { "workflowStatus": "in_progress" } } ## Voiding an in-process envelope To void an in-process envelope, include the following code in the request body: json { "status": "voided", "voidedReason": "The reason for voiding the envelope" } ## Modifying envelope email information To change the email subject and message of a draft envelope, include the following code in the request body: json { "emailSubject": "new email subject", "emailBlurb": "new email message" } ## Purging documents from Docusign To place only the documents in the purge queue, leaving any corresponding attachments and tabs in the Docusign platform, set the purgeState property to documents_queued. json { "envelopeId": "222e6847-xxxx-xxxx-xxxx-72a3c9c16fca", "purgeState": "documents_queued" } To place documents, attachments, and tabs in the purge queue, set the purgeState property to documents_and_metadata_queued. json { "envelopeId": "222e6847-xxxx-xxxx-xxxx-72a3c9c16fca", "purgeState": "documents_and_metadata_queued" } To place documents, attachments, and tabs in the purge queue and to redact personal information, set the purgeState property to documents_and_metadata_and_redact_queued. json { "envelopeId": "222e6847-xxxx-xxxx-xxxx-72a3c9c16fca", "purgeState": "documents_and_metadata_and_redact_queued" } You can purge documents only from completed envelopes that are not marked as the authoritative copy. The user requesting the purge must have permission to purge documents and must be the sender or be acting on behalf of the sender. When the purge request is initiated the items to be purged are placed in the purge queue for deletion in 14 days. The sender and all recipients with Docusign accounts associated with the envelope get an email notification the documents will be deleted in 14 days. The notification contains a link to the documents. A second email notification is sent 7 days later. At the end of the 14-day period the documents are deleted from the system. Recipients without Docusign accounts do not receive email notifications. If your account has a Document Retention policy, envelope documents are automatically placed in the purge queue, and notification emails are sent at the end of the retention period. Setting a Document Retention policy is the same as setting a schedule for purging documents. ## Removing documents from the purge queue To remove documents from the purge queue, include the following code in the request body: json { "envelopeId": "222e6847-xxxx-xxxx-xxxx-72a3c9c16fca", "purgeState": "documents_dequeued" } ### Related topics - Void an envelope (Common API Tasks) - Purging documents (eSignature Concepts) - Purging documents in an envelope (blog post) - How to unpause a signature workflow
Send, void, or modify a draft envelope. Purge documents from a completed envelope.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
envelopeid | string | Yes | — | The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec |
advanced_update | string | No | — | When true, allows the caller to update recipients, tabs, custom fields, notification, email settings and other envelope attributes. |
recycle_on_void | string | No | — | — |
resend_envelope | string | No | — | When true, sends the specified envelope again. |
accesscontrollistbase64 | string | No | — | Reserved for Docusign. |
allowcomments | string | No | — | When true, users can add comments to the documents in the envelope. For example, if a signer has a question about the text in the document, they can add a comment to the document. |
allowmarkup | string | No | — | When true, the Document Markup feature is enabled. Note: To use this feature, Document Markup must be enabled at both the account and envelope levels. Only Admin users can change this setting at the account level. |
allowreassign | string | No | — | When true, the recipient can redirect an envelope to a more appropriate recipient. |
allowviewhistory | string | No | — | When true, recipients can view the history of the envelope. |
anysigner | string | No | — | Deprecated. This feature has been replaced by signing groups. |
asynchronous | string | No | — | When true, the envelope is queued for processing and the value of the status property is set to Processing. Additionally, GET status calls return Processing until completed. Note: A transactionId is required for this call to work correctly. When the envelope is created, the status is Processing and an envelopeId is not returned in the response. To get the envelopeId, use a GET envelope query by using the transactionId or by checking the Connect notification. |
attachmentsuri | string | No | — | Contains a URL for retrieving the attachments that are associated with the envelope. |
authoritativecopy | string | No | — | When true, marks all of the documents in the envelope as authoritative copies. Note: You can override this value for a specific document. For example, you can set the authoritativeCopy property to true at the envelope level, but turn it off for a single document by setting the authoritativeCopy property for the document to false. |
authoritativecopydefault | string | No | — | The default authoritativeCopy setting for documents in this envelope that do not have authoritativeCopy set. If this property is not set, each document defaults to the envelope's authoritativeCopy. |
autonavigation | string | No | — | When true, autonavigation is set for the recipient. |
brandid | string | No | — | The ID of the brand. |
brandlock | string | No | — | When true, the brandId for the envelope is locked and senders cannot change the brand used for the envelope. |
burndefaulttabdata | string | No | — | — |
certificateuri | string | No | — | The URI for retrieving certificate information. |
completeddatetime | string | No | — | Specifies the date and time this item was completed. |
copyrecipientdata | string | No | — | — |
createddatetime | string | No | — | The UTC DateTime when the item was created. |
customfields | json | No | — | An accountCustomField is an envelope custom field that you set at the account level. Applying custom fields enables account administrators to group and manage envelopes. |
customfieldsuri | string | No | — | The URI for retrieving custom fields. |
declineddatetime | string | No | — | The date and time the recipient declined the document. This property is read-only. |
deleteddatetime | string | No | — | Reserved for Docusign. |
delivereddatetime | string | No | — | The date and time that the envelope was delivered to the recipient. This property is read-only. |
disableresponsivedocument | string | No | — | When true, responsive documents are disabled for the envelope. |
documentbase64 | string | No | — | The document's bytes. This field can be used to include a base64 version of the document bytes within an envelope definition instead of sending the document using a multi-part HTTP request. The maximum document size is smaller if this field is used due to the overhead of the base64 encoding. |
documentscombineduri | string | No | — | The URI for retrieving all of the documents associated with the envelope as a single PDF file. |
documentsuri | string | No | — | The URI for retrieving all of the documents associated with the envelope as separate files. |
emailblurb | string | No | — | This is the same as the email body. If specified it is included in email body for all envelope recipients. |
emailsettings | json | No | — | A complex element that allows the sender to override some envelope email setting information. This can be used to override the Reply To email address and name associated with the envelope and to override the BCC email addresses to which an envelope is sent. When the emailSettings information is used for an envelope, it only applies to that envelope. IMPORTANT: The emailSettings information is not returned in the GET for envelope status. Use GET /email_settings to return information about the emailSettings. EmailSettings consists of: * replyEmailAddressOverride - The Reply To email used for the envelope. Docusign will verify that a correct email format is used, but does not verify that the email is active. Maximum Length: 100 characters. * replyEmailNameOverride - The name associated with the Reply To email address. Maximum Length: 100 characters. * bccEmailAddresses - An array of up to five email addresses to which the envelope is sent to as a BCC email. Only users with canManageAccount setting set to true can use this option. Docusign verifies that the email format is correct, but does not verify that the email is active. Using this overrides the BCC for Email Archive information setting for this envelope. Maximum Length: 100 characters. Example: if your account has BCC for Email Archive set up for the email address 'archive@mycompany.com' and you send an envelope using the BCC Email Override to send a BCC email to 'salesarchive@mycompany.com', then a copy of the envelope is only sent to the 'salesarchive@mycompany.com' email address. |
emailsubject | string | No | — | The subject line of the email message that is sent to all recipients. For information about adding merge field information to the email subject, see Template Email Subject Merge Fields. Note: The subject line is limited to 100 characters, including any merged fields.It is not truncated. It is an error if the text is longer than 100 characters. |
enablewetsign | string | No | — | When true, the signer is allowed to print the document and sign it on paper. |
enforcesignervisibility | string | No | — | When true, the option selected in the Document Visibility section in your account [Sending Settings][sendingsettings] will be enforced for the envelope. See [Fields and Properties][fieldsproperties] for details about document visibility options. Setting enforceSignerVisibility to true also enables you to omit documents from the specified recipients' envelopes by using the excludedDocuments array. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all of the documents in an envelope, unless they are specifically excluded by using the excludedDocuments setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are excluded by using the excludedDocuments setting. Note: To use this functionality, [document visibility][docviz] must be enabled for the account. The document visibility feature is available in all developer accounts, but only in certain production account plans. Contact [Docusign Support][support] or your account manager to find out whether document visibility is available for your production account plan. [docviz]: /docs/esign-rest-api/reference/envelopes/envelopedocumentvisibility/ [sendingsettings]: https://admindemo.docusign.com/authenticate?goTo=sending [fieldsproperties]: https://support.docusign.com/s/document-item?rsc_301&bundleId=pik1583277475390&topicId=xgg1583277350154.html [support]: https://support.docusign.com/en/contactSupport# |
envelopeattachments | list | No | — | An array of attachment objects that provide information about the attachments that are associated with the envelope. |
envelopecustommetadata | json | No | — | — |
envelopedocuments | list | No | — | An array containing information about the documents that are included in the envelope. |
envelopeid_2 | string | No | — | The envelope ID of the envelope status that failed to post. |
envelopeidstamping | string | No | — | When true, Envelope ID Stamping is enabled. After a document or attachment is stamped with an Envelope ID, the ID is seen by all recipients and becomes a permanent part of the document and cannot be removed. |
envelopelocation | string | No | — | Reserved for Docusign. |
envelopemetadata | json | No | — | — |
envelopeuri | string | No | — | The URI for retrieving the envelope or envelopes. |
expireafter | string | No | — | Not used. Use the expirations property in the notification object instead. |
expiredatetime | string | No | — | The date and time that the envelope is set to expire. This value is determined by the InitialSentDateTime of the envelope and the expireAfter property of the notification object. (Note that the expireAfter property of the envelope itself is not used.) |
expireenabled | string | No | — | Not used. Use the expirations property in the notification object instead. |
externalenvelopeid | string | No | — | May contain an external identifier for the envelope. |
folders | list | No | — | A list of folder objects. |
hascomments | string | No | — | When true, indicates that users have added comments to the envelope. |
hasformdatachanged | string | No | — | When true, indicates that the data collected through form fields on a document has changed. |
haswavfile | string | No | — | When true, indicates that a .wav file used for voice authentication is included in the envelope. |
holder | string | No | — | Reserved for Docusign. |
initialsentdatetime | string | No | — | The date and time the envelope was initially sent. |
is21cfrpart11 | string | No | — | When true, indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES). |
isdynamicenvelope | string | No | — | When true, indicates that the envelope is a dynamic envelope. |
issignatureproviderenvelope | string | No | — | When true, indicates that the envelope is a signature-provided envelope. |
isticketrelatedenvelope | string | No | — | — |
lastmodifieddatetime | string | No | — | The date and time that the item was last modified. |
location | string | No | — | Reserved for Docusign. |
lockinformation | json | No | — | Envelope locks let you lock an envelope to prevent any changes while you are updating an envelope. |
messagelock | string | No | — | When true, prevents senders from changing the contents of emailBlurb and emailSubject properties for the envelope. Additionally, this prevents users from making changes to the contents of emailBlurb and emailSubject properties when correcting envelopes. However, if the messageLock node is set to true and the emailSubject property is empty, senders and correctors are able to add a subject to the envelope. |
notification | json | No | — | A complex element that specifies the notification settings for the envelope. |
notificationuri | string | No | — | The URI for retrieving notifications. |
powerform | json | No | — | Contains details about a PowerForm. |
purgecompleteddate | string | No | — | The date that a purge was completed. |
purgerequestdate | string | No | — | The date that a purge was requested. |
purgestate | string | No | — | Shows the current purge state for the envelope. Valid values: - unpurged: There has been no successful request to purge documents. - documents_queued: The envelope documents have been added to the purge queue, but have not been purged. - documents_dequeued: The envelope documents have been taken out of the purge queue. - documents_purged: The envelope documents have been successfully purged. - documents_and_metadata_queued: The envelope documents and metadata have been added to the purge queue, but have not yet been purged. - documents_and_metadata_purged: The envelope documents and metadata have been successfully purged. - documents_and_metadata_and_redact_queued: The envelope documents and metadata have been added to the purge queue, but have not yet been purged, nor has personal information been redacted. - documents_and_metadata_and_redact_purged: The envelope documents and metadata have been successfully purged, and personal information has been redacted. Related topics - Purging documents (eSingature Concepts) - Purging documents in an envelope (blog post) |
recipients | json | No | — | Envelope recipients |
recipientslock | string | No | — | When true, prevents senders from changing, correcting, or deleting the recipient information for the envelope. |
recipientsuri | string | No | — | Contains a URI for an endpoint that you can use to retrieve the recipients. |
sender | json | No | — | — |
sentdatetime | string | No | — | The UTC DateTime when the envelope was sent. This property is read-only. |
signercansignonmobile | string | No | — | When true, recipients can sign on a mobile device. Note: Only Admin users can change this setting. |
signinglocation | string | No | — | Specifies the physical location where the signing takes place. It can have two enumeration values; inPerson and online. The default value is online. |
status | string | No | — | Indicates the envelope status. Valid values are: * completed: The recipients have finished working with the envelope: the documents are signed and all required tabs are filled in. * created: The envelope is created as a draft. It can be modified and sent later. * declined: The envelope has been declined by the recipients. * delivered: The envelope has been delivered to the recipients. * sent: The envelope will be sent to the recipients after the envelope is created. * signed: The envelope has been signed by the recipients. * voided: The envelope is no longer valid and recipients cannot access or sign the envelope. |
statuschangeddatetime | string | No | — | The data and time that the status changed. |
templatesuri | string | No | — | The URI for retrieving the templates. |
transactionid | string | No | — | Used to identify an envelope. The ID is a sender-generated value and is valid in the Docusign system for 7 days. It is recommended that a transaction ID is used for offline signing to ensure that an envelope is not sent multiple times. The transactionId property can be used determine an envelope's status (i.e. was it created or not) in cases where the internet c onnection was lost before the envelope status was returned. |
usedisclosure | string | No | — | When true, the disclosure is shown to recipients in accordance with the account's Electronic Record and Signature Disclosure frequency setting. When false, the Electronic Record and Signature Disclosure is not shown to any envelope recipients. If the useDisclosure property is not set, then the account's normal disclosure setting is used and the value of the useDisclosure property is not returned in responses when getting envelope information. |
usigstate | string | No | — | — |
voideddatetime | string | No | — | The date and time the envelope or template was voided. |
voidedreason | string | No | — | The reason the envelope or template was voided. Note: The string is truncated to the first 200 characters. |
workflow | json | No | — | Describes the workflow for an envelope. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
envelopeid | string | Yes | — | The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec |
advanced_update | string | No | — | When true, allows the caller to update recipients, tabs, custom fields, notification, email settings and other envelope attributes. |
recycle_on_void | string | No | — | — |
resend_envelope | string | No | — | When true, sends the specified envelope again. |
accesscontrollistbase64 | string | No | — | Reserved for Docusign. |
allowcomments | string | No | — | When true, users can add comments to the documents in the envelope. For example, if a signer has a question about the text in the document, they can add a comment to the document. |
allowmarkup | string | No | — | When true, the Document Markup feature is enabled. Note: To use this feature, Document Markup must be enabled at both the account and envelope levels. Only Admin users can change this setting at the account level. |
allowreassign | string | No | — | When true, the recipient can redirect an envelope to a more appropriate recipient. |
allowviewhistory | string | No | — | When true, recipients can view the history of the envelope. |
anysigner | string | No | — | Deprecated. This feature has been replaced by signing groups. |
asynchronous | string | No | — | When true, the envelope is queued for processing and the value of the status property is set to Processing. Additionally, GET status calls return Processing until completed. Note: A transactionId is required for this call to work correctly. When the envelope is created, the status is Processing and an envelopeId is not returned in the response. To get the envelopeId, use a GET envelope query by using the transactionId or by checking the Connect notification. |
attachmentsuri | string | No | — | Contains a URL for retrieving the attachments that are associated with the envelope. |
authoritativecopy | string | No | — | When true, marks all of the documents in the envelope as authoritative copies. Note: You can override this value for a specific document. For example, you can set the authoritativeCopy property to true at the envelope level, but turn it off for a single document by setting the authoritativeCopy property for the document to false. |
authoritativecopydefault | string | No | — | The default authoritativeCopy setting for documents in this envelope that do not have authoritativeCopy set. If this property is not set, each document defaults to the envelope's authoritativeCopy. |
autonavigation | string | No | — | When true, autonavigation is set for the recipient. |
brandid | string | No | — | The ID of the brand. |
brandlock | string | No | — | When true, the brandId for the envelope is locked and senders cannot change the brand used for the envelope. |
burndefaulttabdata | string | No | — | — |
certificateuri | string | No | — | The URI for retrieving certificate information. |
completeddatetime | string | No | — | Specifies the date and time this item was completed. |
copyrecipientdata | string | No | — | — |
createddatetime | string | No | — | The UTC DateTime when the item was created. |
customfields | json | No | — | An accountCustomField is an envelope custom field that you set at the account level. Applying custom fields enables account administrators to group and manage envelopes. |
customfieldsuri | string | No | — | The URI for retrieving custom fields. |
declineddatetime | string | No | — | The date and time the recipient declined the document. This property is read-only. |
deleteddatetime | string | No | — | Reserved for Docusign. |
delivereddatetime | string | No | — | The date and time that the envelope was delivered to the recipient. This property is read-only. |
disableresponsivedocument | string | No | — | When true, responsive documents are disabled for the envelope. |
documentbase64 | string | No | — | The document's bytes. This field can be used to include a base64 version of the document bytes within an envelope definition instead of sending the document using a multi-part HTTP request. The maximum document size is smaller if this field is used due to the overhead of the base64 encoding. |
documentscombineduri | string | No | — | The URI for retrieving all of the documents associated with the envelope as a single PDF file. |
documentsuri | string | No | — | The URI for retrieving all of the documents associated with the envelope as separate files. |
emailblurb | string | No | — | This is the same as the email body. If specified it is included in email body for all envelope recipients. |
emailsettings | json | No | — | A complex element that allows the sender to override some envelope email setting information. This can be used to override the Reply To email address and name associated with the envelope and to override the BCC email addresses to which an envelope is sent. When the emailSettings information is used for an envelope, it only applies to that envelope. IMPORTANT: The emailSettings information is not returned in the GET for envelope status. Use GET /email_settings to return information about the emailSettings. EmailSettings consists of: * replyEmailAddressOverride - The Reply To email used for the envelope. Docusign will verify that a correct email format is used, but does not verify that the email is active. Maximum Length: 100 characters. * replyEmailNameOverride - The name associated with the Reply To email address. Maximum Length: 100 characters. * bccEmailAddresses - An array of up to five email addresses to which the envelope is sent to as a BCC email. Only users with canManageAccount setting set to true can use this option. Docusign verifies that the email format is correct, but does not verify that the email is active. Using this overrides the BCC for Email Archive information setting for this envelope. Maximum Length: 100 characters. Example: if your account has BCC for Email Archive set up for the email address 'archive@mycompany.com' and you send an envelope using the BCC Email Override to send a BCC email to 'salesarchive@mycompany.com', then a copy of the envelope is only sent to the 'salesarchive@mycompany.com' email address. |
emailsubject | string | No | — | The subject line of the email message that is sent to all recipients. For information about adding merge field information to the email subject, see Template Email Subject Merge Fields. Note: The subject line is limited to 100 characters, including any merged fields.It is not truncated. It is an error if the text is longer than 100 characters. |
enablewetsign | string | No | — | When true, the signer is allowed to print the document and sign it on paper. |
enforcesignervisibility | string | No | — | When true, the option selected in the Document Visibility section in your account [Sending Settings][sendingsettings] will be enforced for the envelope. See [Fields and Properties][fieldsproperties] for details about document visibility options. Setting enforceSignerVisibility to true also enables you to omit documents from the specified recipients' envelopes by using the excludedDocuments array. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all of the documents in an envelope, unless they are specifically excluded by using the excludedDocuments setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are excluded by using the excludedDocuments setting. Note: To use this functionality, [document visibility][docviz] must be enabled for the account. The document visibility feature is available in all developer accounts, but only in certain production account plans. Contact [Docusign Support][support] or your account manager to find out whether document visibility is available for your production account plan. [docviz]: /docs/esign-rest-api/reference/envelopes/envelopedocumentvisibility/ [sendingsettings]: https://admindemo.docusign.com/authenticate?goTo=sending [fieldsproperties]: https://support.docusign.com/s/document-item?rsc_301&bundleId=pik1583277475390&topicId=xgg1583277350154.html [support]: https://support.docusign.com/en/contactSupport# |
envelopeattachments | list | No | — | An array of attachment objects that provide information about the attachments that are associated with the envelope. |
envelopecustommetadata | json | No | — | — |
envelopedocuments | list | No | — | An array containing information about the documents that are included in the envelope. |
envelopeid_2 | string | No | — | The envelope ID of the envelope status that failed to post. |
envelopeidstamping | string | No | — | When true, Envelope ID Stamping is enabled. After a document or attachment is stamped with an Envelope ID, the ID is seen by all recipients and becomes a permanent part of the document and cannot be removed. |
envelopelocation | string | No | — | Reserved for Docusign. |
envelopemetadata | json | No | — | — |
envelopeuri | string | No | — | The URI for retrieving the envelope or envelopes. |
expireafter | string | No | — | Not used. Use the expirations property in the notification object instead. |
expiredatetime | string | No | — | The date and time that the envelope is set to expire. This value is determined by the InitialSentDateTime of the envelope and the expireAfter property of the notification object. (Note that the expireAfter property of the envelope itself is not used.) |
expireenabled | string | No | — | Not used. Use the expirations property in the notification object instead. |
externalenvelopeid | string | No | — | May contain an external identifier for the envelope. |
folders | list | No | — | A list of folder objects. |
hascomments | string | No | — | When true, indicates that users have added comments to the envelope. |
hasformdatachanged | string | No | — | When true, indicates that the data collected through form fields on a document has changed. |
haswavfile | string | No | — | When true, indicates that a .wav file used for voice authentication is included in the envelope. |
holder | string | No | — | Reserved for Docusign. |
initialsentdatetime | string | No | — | The date and time the envelope was initially sent. |
is21cfrpart11 | string | No | — | When true, indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES). |
isdynamicenvelope | string | No | — | When true, indicates that the envelope is a dynamic envelope. |
issignatureproviderenvelope | string | No | — | When true, indicates that the envelope is a signature-provided envelope. |
isticketrelatedenvelope | string | No | — | — |
lastmodifieddatetime | string | No | — | The date and time that the item was last modified. |
location | string | No | — | Reserved for Docusign. |
lockinformation | json | No | — | Envelope locks let you lock an envelope to prevent any changes while you are updating an envelope. |
messagelock | string | No | — | When true, prevents senders from changing the contents of emailBlurb and emailSubject properties for the envelope. Additionally, this prevents users from making changes to the contents of emailBlurb and emailSubject properties when correcting envelopes. However, if the messageLock node is set to true and the emailSubject property is empty, senders and correctors are able to add a subject to the envelope. |
notification | json | No | — | A complex element that specifies the notification settings for the envelope. |
notificationuri | string | No | — | The URI for retrieving notifications. |
powerform | json | No | — | Contains details about a PowerForm. |
purgecompleteddate | string | No | — | The date that a purge was completed. |
purgerequestdate | string | No | — | The date that a purge was requested. |
purgestate | string | No | — | Shows the current purge state for the envelope. Valid values: - unpurged: There has been no successful request to purge documents. - documents_queued: The envelope documents have been added to the purge queue, but have not been purged. - documents_dequeued: The envelope documents have been taken out of the purge queue. - documents_purged: The envelope documents have been successfully purged. - documents_and_metadata_queued: The envelope documents and metadata have been added to the purge queue, but have not yet been purged. - documents_and_metadata_purged: The envelope documents and metadata have been successfully purged. - documents_and_metadata_and_redact_queued: The envelope documents and metadata have been added to the purge queue, but have not yet been purged, nor has personal information been redacted. - documents_and_metadata_and_redact_purged: The envelope documents and metadata have been successfully purged, and personal information has been redacted. Related topics - Purging documents (eSingature Concepts) - Purging documents in an envelope (blog post) |
recipients | json | No | — | Envelope recipients |
recipientslock | string | No | — | When true, prevents senders from changing, correcting, or deleting the recipient information for the envelope. |
recipientsuri | string | No | — | Contains a URI for an endpoint that you can use to retrieve the recipients. |
sender | json | No | — | — |
sentdatetime | string | No | — | The UTC DateTime when the envelope was sent. This property is read-only. |
signercansignonmobile | string | No | — | When true, recipients can sign on a mobile device. Note: Only Admin users can change this setting. |
signinglocation | string | No | — | Specifies the physical location where the signing takes place. It can have two enumeration values; inPerson and online. The default value is online. |
status | string | No | — | Indicates the envelope status. Valid values are: * completed: The recipients have finished working with the envelope: the documents are signed and all required tabs are filled in. * created: The envelope is created as a draft. It can be modified and sent later. * declined: The envelope has been declined by the recipients. * delivered: The envelope has been delivered to the recipients. * sent: The envelope will be sent to the recipients after the envelope is created. * signed: The envelope has been signed by the recipients. * voided: The envelope is no longer valid and recipients cannot access or sign the envelope. |
statuschangeddatetime | string | No | — | The data and time that the status changed. |
templatesuri | string | No | — | The URI for retrieving the templates. |
transactionid | string | No | — | Used to identify an envelope. The ID is a sender-generated value and is valid in the Docusign system for 7 days. It is recommended that a transaction ID is used for offline signing to ensure that an envelope is not sent multiple times. The transactionId property can be used determine an envelope's status (i.e. was it created or not) in cases where the internet c onnection was lost before the envelope status was returned. |
usedisclosure | string | No | — | When true, the disclosure is shown to recipients in accordance with the account's Electronic Record and Signature Disclosure frequency setting. When false, the Electronic Record and Signature Disclosure is not shown to any envelope recipients. If the useDisclosure property is not set, then the account's normal disclosure setting is used and the value of the useDisclosure property is not returned in responses when getting envelope information. |
usigstate | string | No | — | — |
voideddatetime | string | No | — | The date and time the envelope or template was voided. |
voidedreason | string | No | — | The reason the envelope or template was voided. Note: The string is truncated to the first 200 characters. |
workflow | json | No | — | Describes the workflow for an envelope. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call PUT /v2.1/accounts/{accountId}/envelopes/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform PUT /v2.1/accounts/{accountId}/envelopes/ |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.envelopes.put-envelope",
"initial_data": {
"base_url": "value",
"accountid": "value",
"envelopeid": "value"
}
}